## ktexteditor 5.80.0

=== debian/changelog ===
ktexteditor (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:30 +0000

ktexteditor (5.79.0-0ubuntu2) hirsute; urgency=medium

  * Build with libgit2 again.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Feb 2021 20:15:24 +0000

ktexteditor (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols
  * Add libkf5syntaxhighlighting-dev to libkf5texteditor-dev depends,
    fixes acc test

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:38 +0000

ktexteditor (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Temporarily do not build with libgit2 support so we do not entangle
      next frameworks with that transition.
    - Breaks/replaces at versions to suit Ubuntu upload history.
    - Disable build-time tests.

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Jan 2021 20:22:16 +0000

ktexteditor (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:04 +0000

ktexteditor (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Temporarily do not build with libgit2 support so we do not entangle
      next frameworks with that transition.
    - Breaks/replaces at versions to suit Ubuntu upload history.
    - Disable build-time tests.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 23:31:54 +0000

ktexteditor (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:49 +0000

ktexteditor (5.76.0-0ubuntu3) hirsute; urgency=medium

  * Temporarily do not build with libgit2 support so we do not entangle
    next frameworks with that transition.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Dec 2020 16:55:20 +0000

ktexteditor (5.76.0-0ubuntu2) hirsute; urgency=medium

  * Rebuild against new libgit2-1.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Dec 2020 10:30:05 +0100

ktexteditor (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:25 +0000
