=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf5archive-dev (>= 5.78.0~),
-               libkf5auth-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5guiaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5parts-dev (>= 5.78.0~),
-               libkf5sonnet-dev (>= 5.78.0~),
-               libkf5syntaxhighlighting-dev (>= 5.78.0~),
+               libkf5archive-dev (>= 5.80.0~),
+               libkf5auth-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5guiaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5parts-dev (>= 5.80.0~),
+               libkf5sonnet-dev (>= 5.80.0~),
+               libkf5syntaxhighlighting-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev (>= 5.8.0~),
                pkg-config,
@@ -30,18 +30,18 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/ktexteditor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktexteditor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktexteditor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
 Rules-Requires-Root: no
 
 Package: ktexteditor-data
 Section: kde
 Architecture: all
-Breaks: libkf5texteditor5 (<< 5.74)
-Replaces: libkf5texteditor5 (<< 5.74)
+Breaks: libkf5texteditor5 (<< 5.74.0-2~)
+Replaces: libkf5texteditor5 (<< 5.74.0-2~)
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: provide advanced plain text editing services
@@ -57,7 +57,7 @@
 Architecture: any
 Depends: libkf5texteditor5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -87,13 +87,14 @@
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev (>= 5.78.0~),
+Depends: libkf5parts-dev (>= 5.80.0~),
+         libkf5syntaxhighlighting-dev (>= 5.80.0~),
          libkf5texteditor5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5texteditor-doc (= ${source:Version})
-Breaks: ktexteditor-data (<< 5.69.0-2~)
-Replaces: ktexteditor-data (<< 5.69.0-2~)
+Breaks: ktexteditor-data (<< 5.70.1-1~)
+Replaces: ktexteditor-data (<< 5.70.1-1~)
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -127,7 +128,7 @@
          libjs-underscore,
          libkf5texteditor-bin (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
